org.apache.ignite.compute

## Interface ComputeTaskSessionAttributeListener

All Superinterfaces:
  EventListener

    public interface ComputeTaskSessionAttributeListener
    extends EventListener

This interface defines listener for task session attributes.

### Method Summary

Methods
`void` `onAttributeSet(Object key, Object val)` Called on attribute change (set or update).

### Method Detail

#### onAttributeSet

    void onAttributeSet(Object key,
                      Object val)

Called on attribute change (set or update).

Parameters:
  `key` - Attribute key.
  `val` - Attribute value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016